Quitar subordinado
curl --request PATCH \
--url https://api.pruff.com/api/clients/user/subordinate/remove \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userEmail": "jefe@example.com",
"subordinatesUserEmail": "ejecutivo@example.com"
}
'import requests
url = "https://api.pruff.com/api/clients/user/subordinate/remove"
payload = {
"userEmail": "jefe@example.com",
"subordinatesUserEmail": "ejecutivo@example.com"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userEmail: 'jefe@example.com', subordinatesUserEmail: 'ejecutivo@example.com'})
};
fetch('https://api.pruff.com/api/clients/user/subordinate/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pruff.com/api/clients/user/subordinate/remove",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'userEmail' => 'jefe@example.com',
'subordinatesUserEmail' => 'ejecutivo@example.com'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pruff.com/api/clients/user/subordinate/remove"
payload := strings.NewReader("{\n \"userEmail\": \"jefe@example.com\",\n \"subordinatesUserEmail\": \"ejecutivo@example.com\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.pruff.com/api/clients/user/subordinate/remove")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"userEmail\": \"jefe@example.com\",\n \"subordinatesUserEmail\": \"ejecutivo@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pruff.com/api/clients/user/subordinate/remove")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userEmail\": \"jefe@example.com\",\n \"subordinatesUserEmail\": \"ejecutivo@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Subordinate removed",
"wasAssigned": true
}
Usuarios
Quitar subordinado
Elimina la relación de subordinación entre dos usuarios. Usa el mismo body que PATCH /user/subordinate/assign: identifica a cada lado con su email o su id (si envías ambos, se usa el id).
La operación es idempotente: si los usuarios no estaban relacionados, responde 200 con wasAssigned: false y no cambia nada.
PATCH
/
user
/
subordinate
/
remove
Quitar subordinado
curl --request PATCH \
--url https://api.pruff.com/api/clients/user/subordinate/remove \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userEmail": "jefe@example.com",
"subordinatesUserEmail": "ejecutivo@example.com"
}
'import requests
url = "https://api.pruff.com/api/clients/user/subordinate/remove"
payload = {
"userEmail": "jefe@example.com",
"subordinatesUserEmail": "ejecutivo@example.com"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userEmail: 'jefe@example.com', subordinatesUserEmail: 'ejecutivo@example.com'})
};
fetch('https://api.pruff.com/api/clients/user/subordinate/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pruff.com/api/clients/user/subordinate/remove",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'userEmail' => 'jefe@example.com',
'subordinatesUserEmail' => 'ejecutivo@example.com'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pruff.com/api/clients/user/subordinate/remove"
payload := strings.NewReader("{\n \"userEmail\": \"jefe@example.com\",\n \"subordinatesUserEmail\": \"ejecutivo@example.com\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.pruff.com/api/clients/user/subordinate/remove")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"userEmail\": \"jefe@example.com\",\n \"subordinatesUserEmail\": \"ejecutivo@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pruff.com/api/clients/user/subordinate/remove")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"userEmail\": \"jefe@example.com\",\n \"subordinatesUserEmail\": \"ejecutivo@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Subordinate removed",
"wasAssigned": true
}
Cuerpo
application/json
Identifica al usuario superior (userId o userEmail) y al subordinado (subordinatesUserId o subordinatesUserEmail). Para cada lado debes enviar al menos uno de los dos campos; si envías ambos, se usa el id y se ignora el email.